## WebKitDOMDOMTokenList WebKitDOMDOMTokenList |

## Functions

gchar * | webkit_dom_dom_token_list_item ()
gboolean | webkit_dom_dom_token_list_contains ()
void | webkit_dom_dom_token_list_add ()
void | webkit_dom_dom_token_list_remove ()
gboolean | webkit_dom_dom_token_list_toggle ()
void | webkit_dom_dom_token_list_replace ()
gulong | webkit_dom_dom_token_list_get_length ()
gchar * | webkit_dom_dom_token_list_get_value ()
void | webkit_dom_dom_token_list_set_value ()

## Properties

gulong | length | Read
char * | value | Read / Write

## Types and Values

struct | WebKitDOMDOMTokenList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMTokenList

## Description

## Functions

### webkit_dom_dom_token_list_item ()

    gchar *
    webkit_dom_dom_token_list_item (WebKitDOMDOMTokenList *self,
                                    gulong index);

`webkit_dom_dom_token_list_item` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMTokenList |
index | A gulong |

#### Returns

A gchar

Since: 2.16

### webkit_dom_dom_token_list_contains ()

    gboolean
    webkit_dom_dom_token_list_contains (WebKitDOMDOMTokenList *self,
                                        const gchar *token);

`webkit_dom_dom_token_list_contains` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMTokenList |
token | A gchar |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_dom_token_list_add ()

    void
    webkit_dom_dom_token_list_add (WebKitDOMDOMTokenList *self,
                                   GError **error,
                                   ...);

`webkit_dom_dom_token_list_add` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMTokenList |
error | GError |
... | list of gchar ended by `NULL`. |

Since: 2.16

### webkit_dom_dom_token_list_remove ()

    void
    webkit_dom_dom_token_list_remove (WebKitDOMDOMTokenList *self,
                                      GError **error,
                                      ...);

`webkit_dom_dom_token_list_remove` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMTokenList |
error | GError |
... | list of gchar ended by `NULL`. |

Since: 2.16

### webkit_dom_dom_token_list_toggle ()

    gboolean
    webkit_dom_dom_token_list_toggle (WebKitDOMDOMTokenList *self,
                                      const gchar *token,
                                      gboolean force,
                                      GError **error);

`webkit_dom_dom_token_list_toggle` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMTokenList |
token | A gchar |
force | A gboolean |
error | GError |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_dom_token_list_replace ()

    void
    webkit_dom_dom_token_list_replace (WebKitDOMDOMTokenList *self,
                                       const gchar *token,
                                       const gchar *newToken,
                                       GError **error);

`webkit_dom_dom_token_list_replace` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMTokenList |
token | A gchar |
newToken | A gchar |
error | GError |

Since: 2.16

### webkit_dom_dom_token_list_get_length ()

    gulong
    webkit_dom_dom_token_list_get_length (WebKitDOMDOMTokenList *self);

`webkit_dom_dom_token_list_get_length` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMTokenList |

#### Returns

A gulong

Since: 2.16

### webkit_dom_dom_token_list_get_value ()

    gchar *
    webkit_dom_dom_token_list_get_value (WebKitDOMDOMTokenList *self);

`webkit_dom_dom_token_list_get_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMTokenList |

#### Returns

A gchar

Since: 2.16

### webkit_dom_dom_token_list_set_value ()

    void
    webkit_dom_dom_token_list_set_value (WebKitDOMDOMTokenList *self,
                                         const gchar *value);

`webkit_dom_dom_token_list_set_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMTokenList |
value | A gchar |

Since: 2.16

## Types and Values

### struct WebKitDOMDOMTokenList

    struct WebKitDOMDOMTokenList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong DOMTokenList:length.

Owner: WebKitDOMDOMTokenList

Flags: Read

### The `“value”` property

      “value”                    char *

read-write gchar* DOMTokenList:value.

Owner: WebKitDOMDOMTokenList

Flags: Read / Write

Default value: ""